Manualul utilizatorului Linux pamcat(1)

NUME

pamcat - concatenează imagini Netpbm

SINOPSIS

pamcat

{-leftright | -lr | -topbottom | -tb}

[-white|-black]

[-jtop|-jbottom|-jcenter] [-jleft|-jright|-jcenter]

[netpbmfile ... | -listfile={nume-fișier|-}]

Se acceptă o abreviere unică minimă a opțiunii. Puteți utiliza cratime duble în loc de cratimă simplă pentru a indica opțiunile. Puteți utiliza spațiu alb în locul semnului egal pentru a separa numele unei opțiuni de valoarea sa.

DESCRIERE

Acest program face parte din Netpbm(1).

pamcat citește una sau mai multe imagini Netpbm ca intrare, le concatenează fie de la stânga la dreapta, fie de sus în jos, și produce o singură imagine Netpbm ca ieșire.

Opțiunile -leftright (stânga-dreapta) și -topbottom (sus-jos) determină direcția de concatenare.

Imaginile nu trebuie să aibă neapărat aceeași formă: puteți concatena imagini de lățimi diferite de sus în jos și de înălțimi diferite de la stânga la dreapta. Puteți concatena imagini de diferite adâncimi (număr de planuri). Puteți concatena o imagine PBM cu o imagine PPM. Și așa mai departe.

Formatul imaginii de ieșire este cel mai mare dintre formatele imaginilor de intrare, în ordinea PBM, PGM, PPM, PAM.

Pentru ieșirea PAM, în cazul în care toate imaginile de intrare au același tip de tuple (inclusiv tipurile de tuple implicite ale imaginilor PNM), acesta este tipul de tuple al ieșirii. În cazul în care intrările diferă, dar toate sunt de tip tuple vizual, tipul de tuple al ieșirii este cel mai primitiv care poate reprezenta toate intrările. De exemplu, dacă intrările sunt GRAYSCALE și RGB, ieșirea este RGB, iar dacă intrările sunt GRAYSCALE_ALPHA și RGB, ieșirea este RGB_ALPHA. În cazul în care intrările sunt diferite și nu sunt toate vizuale, tipul de tuple de ieșire este un șir de caractere nul.

Atunci când ieșirea este PAM, adâncimea sa este maxima dintre adâncimile intrărilor (inclusiv adâncimile implicite ale imaginilor PNM), dar cel puțin suficientă pentru a reprezenta tipul de tuple specificat mai sus. În cazul unei ieșiri PAM non-vizuale, imaginile de intrare sunt umplute până la această adâncime de ieșire cu planuri cu numere mai mari (complectate cu zerouri).

În cazul în care imaginile de intrare sunt de lățimi diferite și se concatenează de sus în jos, pamcat generează o ieșire la fel de largă ca cea mai largă dintre intrări și le umple pe cele mai înguste. Imaginile pot fi aliniate fie la stânga, fie la dreapta, fie în centru în acest câmp umplut. Utilizați opțiunile -jleft, -jright și -jcenter pentru a controla acest lucru.

În mod similar, în cazul în care imaginile de intrare sunt de înălțimi diferite și se concatenează de la stânga la dreapta, pamcat generează o ieșire la fel de înaltă ca cea mai înaltă dintre intrări și le umple pe cele mai scurte. Imaginile pot fi aliniate în partea de sus, de jos sau în centru în acest câmp umplut. Utilizați opțiunile: -jtop, -jbottom și -jcenter pentru a controla acest lucru.

Puteți face umplutura neagră sau albă sau puteți lăsa pamcat să determine o culoare de fundal probabilă, cu o umplutură de culoare diferită pentru fiecare imagine de intrare. Controlați acest lucru cu opțiunile -black și -white.

În cazul în care imaginea de ieșire conține informații de transparență (deoarece cel puțin una dintre imaginile de intrare conține), umplutura este opacă; (acest lucru este în concordanță cu rezultatul pentru o imagine de ieșire fără informații de transparență, deoarece o astfel de imagine este definită ca fiind opacă).

Argumentele sunt nume de fișiere de intrare. Oricare dintre acestea, dar nu mai mult de unul, poate fi „-” pentru a indica intrarea standard. Dacă nu aveți niciun argument (și nu specificați -listfile), înseamnă o singură imagine de intrare de la intrarea standard (ceea ce este inutil - ieșirea este aceeași cu intrarea). Puteți furniza numele fișierelor într-un fișier în loc de argumente cu opțiunea -listfile.

Indiferent de modul în care specificați fișierele de intrare, nu puteți concatena mai multe fișiere decât limita sistemului dvs. privind numărul de fișiere deschise simultan de un proces. 16 este un număr tipic pentru acest lucru.

Pentru a asambla o grilă regulată de imagini, puteți utiliza pamundice.

Pentru a face invers, puteți utiliza pamdice pentru a împărți o imagine în imagini mai mici de dimensiuni egale sau pamcut pentru a tăia o parte a unei imagini sau pentru a extrage o parte a unei imagini.

pnmtile concatenează o singură imagine de intrare cu ea însăși în mod repetat.

OPȚIUNI

În plus față de opțiunile comune tuturor programelor bazate pe libnetpbm (în special -quiet, a se vedea
 Common Options index.html#commonoptions ), pamcat recunoaște următoarele opțiuni de linie de comandă:

  Direcția

-topbottom, -tb
    Combină imaginile pe verticală, de sus în jos.

-leftright, -lr
    Combină imaginile pe orizontală, de la stânga la dreapta.

    Trebuie să precizați direcția prin specificarea uneia dintre variantele de mai sus. Nu le puteți specifica pe amândouă.

  Alinierea

-jleft

    Aliniază la stânga imaginile într-o concatenare de sus în jos.

    Nu puteți specifica această opțiune cu -jright.

    Această opțiune nu este valabilă în cazul unei concatenări stânga-dreapta.

-jright

    Aliniază la dreapta imaginile într-o concatenare de sus în jos.

    Nu puteți specifica această opțiune cu -jleft.

    Această opțiune nu este valabilă în cazul unei concatenări stânga-dreapta.

-jtop

    Aliniază în partea de sus imaginile într-o concatenare stânga-dreapta.

    Nu puteți specifica această opțiune cu -jbottom.

    Această opțiune nu este valabilă în cazul unei concatenări de sus în jos.

-jbottom

    Aliniază în partea de jos imaginile într-o concatenare stânga-dreapta.

    Nu puteți specifica această opțiune cu -jtop.

    Această opțiune nu este valabilă în cazul unei concatenări de sus în jos.

-jcenter

    Centrează imaginile (valabil atât pentru concatenarea stânga-dreapta, cât și pentru concatenarea sus-jos). Aceasta este valoarea implicită.

În mod implicit, pamcat centrează imaginile mai mici. Utilizați
  -jleft și -jbottom pentru a modifica acest lucru.
  -topbottom -jleft ar stivui imaginile una peste alta, la același
  nivel cu marginea stângă. -leftright -jbottom ar alinia imaginile
  de la stânga la dreapta, cu marginile inferioare aliniate ca și cum
  ar fi așezate pe o masă.

  Culoarea umpluturii
Aceste opțiuni specifică ce culoare să se folosească pentru a umple spațiul suplimentar atunci când se face alinierea. Dacă nu este specificată niciuna dintre ele, pamcat alege orice culoare pare a fi potrivită pentru imagini, iar culoarea poate fi diferită pentru fiecare imagine.

-white
    Face ca toată umplutura să fie albă.

    Nu puteți specifica această opțiune cu opțiunea -black

-black
    Face ca toată umplutura să fie neagră.

    Nu puteți specifica această opțiune cu opțiunea -white

  Diverse

-listfile={nume-fișier|-}
    Se specifică numele unui fișier care conține lista de fișiere de intrare. Valoarea opțiunii - înseamnă că lista provine de la intrarea standard.

    Fișierul conține un nume de fișier pe fiecare linie delimitată de linii noi, în orice cod pe care îl așteaptă serviciul fopen al sistemului. Puteți omite linia nouă de pe ultima linie. Liniile goale sunt ignorate. Nu există niciun mecanism de includere a comentariilor în listă (așadar, dacă doriți să aveți o listă comentată, preprocesați-o pentru a elimina comentariile înainte de a o furniza către pamcat).

    Nu puteți specifica nume de fișiere ca argumente în linia de comandă împreună cu listfile

    Nu puteți lista mai multe fișiere decât limita sistemului dumneavoastră privind numărul de fișiere deschise simultan de un proces. 16 este un număr tipic pentru această limită.

    Această opțiune a fost nouă în Netpbm 11.01 (decembrie 2022).

CONSULTAȚI ȘI
pamundice(1) , pamdice(1) , pnmtile(1) , pamcut(1) , pnm(1) , pam(1)

ISTORIC

pamcat a fost nou în Netpbm 11.00 (septembrie 2022); în versiunile anterioare,
  pnmcat face în mare parte același lucru.

Primordial, Netpbm/Pbmplus conținea instrumente de concatenare, dar existau două dintre ele: pbbmcatlr pentru concatenarea stânga-dreapta a imaginilor PBM și pbmcatb pentru concatenarea sus-jos. Când au fost adăugate formatele PGM și PPM, aceste programe au fost combinate și extinse pentru a gestiona toate cele trei formate, sub forma pnmcat. Toată această muncă a fost făcută de autorul Pbmplus Jef Poskanzer.

În Netpbm 10.44 (septembrie 2008), Akira F Urushibata a adăugat o procesare rapidă specială pentru imaginile PBM brute, exploatând facilitățile CPU de procesare a șirurilor de biți.

pnmcat a fost unul dintre cele mai esențiale programe din Netpbm, dar un lucru pe care nu-l putea concatena erau imaginile PAM cu transparență. Astfel, în Netpbm 11.00 (septembrie 2022), Bryan Henderson a scris pamcat pentru a-l înlocui. Acesta a refolosit aproape textual codul brut al căii rapide PBM din pnmcat.

SURSA DOCUMENTULUI
Această pagină de manual a fost generată de instrumentul Netpbm «makeman» din sursa HTML. Documentația principală este la

    http://netpbm.sourceforge.net/doc/pamcat.html

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.